/*************************************************
 * 覆盖 tabbat的公共弹窗
 *@author zhang-shu-wei <2966211270@qq.com>
 *@date 2023-02-09 11:16:58
 *@param {object} [data] 传递参数
 *@param {Function} [fn] 回调函数
*/
function globalAlert(options: any): void {
    uni.navigateTo({
        url: `/components/globalAlert/globalAlert?data=${JSON.stringify(options.data)}`,
        success(e) {
            uni.$off("jx_dialog");
            uni.$on("jx_dialog", () => {
                options.fn && options.fn(options.data)
            })
        }
    })
}

export default globalAlert